Bug 198950 - missing *.pyc files on upgrade via yum
missing *.pyc files on upgrade via yum
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 17:22 EDT by Jim Cornette
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 14:55:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Cornette 2006-07-14 17:22:57 EDT
Description of problem:


Version-Release number of selected component (if applicable):

system-config-securitylevel-1.6.21-1

How reproducible:

Have a previous version of s-c-securitylevel installed. Upgrade to a newer
version from repo using yum.

Steps to Reproduce:
1. grab updates via pup or yum (pup used mainly)
2.check all rpms after updates using rpm -qaV |grep missing >rpm-missing.txt as
root user. (Regular user misses files not visible to a regular user)
3. review the output of rpm-missing.txt file for results
  
Actual results:

Found missing files. Confirmed individually, see below results:
rpm -qV system-config-securitylevel
missing     /usr/share/system-config-securitylevel/checklist.pyc
missing     /usr/share/system-config-securitylevel/firstboot_selinux.pyc
missing     /usr/share/system-config-securitylevel/scs_checklist.pyc
missing     /usr/share/system-config-securitylevel/securitylevel.pyc
missing     /usr/share/system-config-securitylevel/selinuxPage.pyc
missing   /usr/share/system-config-securitylevel/system-config-securitylevel.pyc
missing     /usr/share/system-config-securitylevel/trustedchecklist.pyc


Expected results:
The rpm to be intact.

Additional info:

While communicatinog on the fedora-test-list about missing files when verifying
rpms, the below points were mentioned on the list. I have noticed the missing
files and just took actions to install the rpm using yum after removing the
package and reinstalling it.

The reply following this posting  by Michal seems to reveal this is a packaging
error caused by scriptlet errors yum runs during cleanup. The *.pyc files are
removed.

My posting, see follow-up also.
https://www.redhat.com/archives/fedora-test-list/2006-July/msg00261.html

Note You need to log in before you can comment on or make changes to this bug.